package com.edgec.browserbackend.browser.service;

import com.alibaba.fastjson.JSONObject;
import com.edgec.browserbackend.browser.dto.*;

import java.util.List;

public interface IpResourceService {

    List<IpResourceDto> buyIp(String username, IpResourceRequestDto ipResourceRequestDto) throws Exception;

    IpOperationResultDto renewIp(String username, IpResourceRequestDto ipResourceRequestDto) throws Exception;

    IpOperationResultDto deleteIp(String username, List<String> ipAddrs) throws Exception;

    IpPageResultDto getIpList(String username, int groupType, int page, int amount, IpFilterDto ipFilterDto);

    JSONObject getIpOptions();
}
